Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class SimpleTreeNodeMenuEntryImpl

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.SimpleTreeNodeMenuEntryImpl

All Implemented Interfaces:
  Serializable, SimpleTreeNodeMenuEntry, TreeNodeMenuEntry

public class SimpleTreeNodeMenuEntryImpl
extends Object
implements SimpleTreeNodeMenuEntry

Default implementation for a simple entry of a popup menu

Version:
  $Revision: 1.4 $

  Revisions:

  17 decembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `TreeNodeMenuEntry`, Serialized Form

Field Summary
`protected TreeAction` | `action`
`protected String` | `text`

Constructor Summary
`SimpleTreeNodeMenuEntryImpl()`
`SimpleTreeNodeMenuEntryImpl(String text, TreeAction action)`

Method Summary
`TreeAction` | `getAction()`
`String` | `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected TreeAction action

### text

    protected String text

Constructor Detail

### SimpleTreeNodeMenuEntryImpl

    public SimpleTreeNodeMenuEntryImpl()

### SimpleTreeNodeMenuEntryImpl

    public SimpleTreeNodeMenuEntryImpl(String text,
                                       TreeAction action)

Method Detail

### getAction

    public TreeAction getAction()

  Specified by:
    `getAction` in interface `SimpleTreeNodeMenuEntry`

### getText

    public String getText()

  Specified by:
    `getText` in interface `SimpleTreeNodeMenuEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.